Anonymous | Login
Project:
RSS
  
News | My View | View Issues | Roadmap | Summary

View Issue DetailsJump to Notes ] Issue History ] Print ]
ID
0024272
TypeCategorySeverityReproducibilityDate SubmittedLast Update
defect[Retail Modules] Web POSmajorhave not tried2013-07-04 21:042013-07-24 18:32
ReportermarvintmView Statuspublic 
Assigned Tomarvintm 
PrioritynormalResolutionfixedFixed in VersionRMP25
StatusclosedFix in branchFixed in SCM revisiona7e82cf70f1c
ProjectionnoneETAnoneTarget VersionRMP25
OSAnyDatabaseAnyJava version
OS VersionDatabase versionAnt version
Product VersionSCM revision 
Review Assigned Toguilleaer
Regression level
Regression date
Regression introduced in release
Regression introduced by commit
Triggers an Emergency PackNo
Summary

0024272: Precision problems in the Web POS when working with price not including taxes

DescriptionThere are several precision problems when working with price not including taxes. These problems come from the fact that calculations are not being done with the correct precision. Instead, all substeps are being rounded before being used again for other calculations.
Steps To Reproduce- Define a product with price 0.75.ยก
- Add a discount of 10% for this product
- Define a tax of 10% for this product
- Create an order of two units of this product. Realize that the result should be:
- Line net: 1,35
- Tax amount: 0,14
- Total: 1,49

However, instead, the result is:
- Line net: 1,34
- Tax amount: 0,14
- Total: 1,50

This is wrong.
TagsNo tags attached.
Attached Files

- Relationships Relation Graph ] Dependency Graph ]

-  Notes
(0059874)
hgbot (developer)
2013-07-04 21:06

Repository: erp/pmods/org.openbravo.retail.posterminal
Changeset: a7e82cf70f1c7eaa4f79e87b35b95a853fa4a51b
Author: Antonio Moreno <antonio.moreno <at> openbravo.com>
Date: Thu Jul 04 21:06:26 2013 +0200
URL: http://code.openbravo.com/erp/pmods/org.openbravo.retail.posterminal/rev/a7e82cf70f1c7eaa4f79e87b35b95a853fa4a51b [^]

Fixed issue 24272. Improved precision of computations when working with pricelists without taxes

---
M web/org.openbravo.retail.posterminal/js/data/dataordertaxes.js
M web/org.openbravo.retail.posterminal/js/model/order.js
---
(0059875)
hgbot (developer)
2013-07-04 21:16

Repository: erp/pmods/org.openbravo.retail.posterminal
Changeset: 556ade34a2c57cc9ef4faca1e87738fb819a43b4
Author: Antonio Moreno <antonio.moreno <at> openbravo.com>
Date: Thu Jul 04 21:16:37 2013 +0200
URL: http://code.openbravo.com/erp/pmods/org.openbravo.retail.posterminal/rev/556ade34a2c57cc9ef4faca1e87738fb819a43b4 [^]

Related to issue 24272. Fixed typo

---
M web/org.openbravo.retail.posterminal/js/data/dataordertaxes.js
---
(0059921)
hgbot (developer)
2013-07-08 15:26

Repository: erp/pmods/org.openbravo.retail.posterminal.multiorder
Changeset: a7e82cf70f1c7eaa4f79e87b35b95a853fa4a51b
Author: Antonio Moreno <antonio.moreno <at> openbravo.com>
Date: Thu Jul 04 21:06:26 2013 +0200
URL: http://code.openbravo.com/erp/pmods/org.openbravo.retail.posterminal.multiorder/rev/a7e82cf70f1c7eaa4f79e87b35b95a853fa4a51b [^]

Fixed issue 24272. Improved precision of computations when working with pricelists without taxes

---
M web/org.openbravo.retail.posterminal/js/data/dataordertaxes.js
M web/org.openbravo.retail.posterminal/js/model/order.js
---
(0059922)
hgbot (developer)
2013-07-08 15:26

Repository: erp/pmods/org.openbravo.retail.posterminal.multiorder
Changeset: 556ade34a2c57cc9ef4faca1e87738fb819a43b4
Author: Antonio Moreno <antonio.moreno <at> openbravo.com>
Date: Thu Jul 04 21:16:37 2013 +0200
URL: http://code.openbravo.com/erp/pmods/org.openbravo.retail.posterminal.multiorder/rev/556ade34a2c57cc9ef4faca1e87738fb819a43b4 [^]

Related to issue 24272. Fixed typo

---
M web/org.openbravo.retail.posterminal/js/data/dataordertaxes.js
---
(0060281)
hgbot (developer)
2013-07-24 18:31

Repository: erp/pmods/org.openbravo.retail.posterminal
Changeset: 77371010503ea33a02bc87d973989a382b78533c
Author: Guillermo Alvarez de Eulate <guillermo.alvarez <at> openbravo.com>
Date: Wed Jul 24 18:31:21 2013 +0200
URL: http://code.openbravo.com/erp/pmods/org.openbravo.retail.posterminal/rev/77371010503ea33a02bc87d973989a382b78533c [^]

related to issue 24272: remove space

---
M web/org.openbravo.retail.posterminal/js/data/dataordertaxes.js
---
(0060282)
guilleaer (developer)
2013-07-24 18:32

verified

- Issue History
Date Modified Username Field Change
2013-07-04 21:04 marvintm New Issue
2013-07-04 21:04 marvintm Assigned To => marvintm
2013-07-04 21:06 hgbot Checkin
2013-07-04 21:06 hgbot Note Added: 0059874
2013-07-04 21:06 hgbot Status new => resolved
2013-07-04 21:06 hgbot Resolution open => fixed
2013-07-04 21:06 hgbot Fixed in SCM revision => http://code.openbravo.com/erp/pmods/org.openbravo.retail.posterminal/rev/a7e82cf70f1c7eaa4f79e87b35b95a853fa4a51b [^]
2013-07-04 21:16 hgbot Checkin
2013-07-04 21:16 hgbot Note Added: 0059875
2013-07-08 15:26 hgbot Checkin
2013-07-08 15:26 hgbot Note Added: 0059921
2013-07-08 15:26 hgbot Fixed in SCM revision http://code.openbravo.com/erp/pmods/org.openbravo.retail.posterminal/rev/a7e82cf70f1c7eaa4f79e87b35b95a853fa4a51b [^] => http://code.openbravo.com/erp/pmods/org.openbravo.retail.posterminal.multiorder/rev/a7e82cf70f1c7eaa4f79e87b35b95a853fa4a51b [^]
2013-07-08 15:26 hgbot Checkin
2013-07-08 15:26 hgbot Note Added: 0059922
2013-07-24 18:31 hgbot Checkin
2013-07-24 18:31 hgbot Note Added: 0060281
2013-07-24 18:32 guilleaer Review Assigned To => guilleaer
2013-07-24 18:32 guilleaer Note Added: 0060282
2013-07-24 18:32 guilleaer Status resolved => closed
2013-07-24 18:32 guilleaer Fixed in Version => RMP25


Copyright © 2000 - 2009 MantisBT Group
Powered by Mantis Bugtracker